%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^typelib\\(WebKit\\)$

# as of version 220, python3 code is not good in samples
%global _python_bytecompile_extra 0

Name: sugar-turtleblocks-activity
Version: 220
Release: %mkrel 3
Summary: Pseudo-Logo graphical programming language for Sugar
License: MIT
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/TurtleArt/TurtleBlocks-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: pkgconfig(python)
BuildRequires: sugar-toolkit-gtk3
Requires: python-numpy
Requires: sugar-toolkit-gtk3

Obsoletes: sugar-turtleart-activity < 171
Provides: sugar-turtleart-activity = %{version}-%{release}

%description
Turtle Art is an activity with a Logo-inspired graphical "turtle"
that draws colorful art based on Scratch-like snap-together visual
programming elements.
There are many restrictions compared to LOGO. The two allowed user-defined
procedures can't have parameters. Only two numeric global variables
are available, no lists or other data-structures. You can't make user defined
functions which return a value. The conditionals and some of the functions
only take constants or variables, not expressions. Limited screen real-estate
makes building large programs unfeasible.

%prep
%setup -q -n TurtleBlocks-%{version}
sed -i 's|#!\s\?%{_bindir}/.*python[2,3]\?|#!%{__python3}|' \
  *.py collaboration/*.py TurtleArt/*.py turtleblocks

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.TurtleArtActivity

%files -f org.laptop.TurtleArtActivity.lang
%doc NEWS README.md
%license COPYING
%{_datadir}/sugar/activities/*
%{_datadir}/applications/org.laptop.TurtleArtActivity.activity.desktop
%{_datadir}/metainfo/org.laptop.TurtleArtActivity.appdata.xml


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 220-3.mga9
+ Revision: 1836862
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 220-2.mga8
+ Revision: 1656003
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 03 2020 zezinho <zezinho> 220-1.mga8
+ Revision: 1553575
- new version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Mar 14 2019 wally <wally> 218-2.mga7
+ Revision: 1376890
- filter out webkit1 requires

* Wed Mar 13 2019 wally <wally> 218-1.mga7
+ Revision: 1375642
- rename as sugar-turtleblocks-activity
- new version 218

* Wed Sep 19 2018 umeabot <umeabot> 170-2.mga7
+ Revision: 1276468
- Mageia 7 Mass Rebuild

* Mon Jan 18 2016 zezinho <zezinho> 170-1.mga6
+ Revision: 925383
- new version

* Wed Oct 15 2014 umeabot <umeabot> 169-5.mga5
+ Revision: 747171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 169-4.mga5
+ Revision: 689603
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 169-3.mga4
+ Revision: 519354
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 169-2.mga3
+ Revision: 383717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 169-1.mga3
+ Revision: 335620
- new version

* Mon Dec 03 2012 zezinho <zezinho> 167-1.mga3
+ Revision: 326154
- new version

* Wed Nov 21 2012 zezinho <zezinho> 139-1.mga3
+ Revision: 320124
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 122-1.mga2
+ Revision: 169552
- new version
+ ennael <ennael>
- imported package sugar-turtleart-activity

